<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>HTML Attributes and Links</title>
  </head>
  <body>
    <!-- THe align attributes changes the alignment of the paragraph and h2 element -->
    <!-- The 'id' attribute assigns a unique identifier to an element    -->
    <h2 align="'center" id="top">HTML ATTRIBUTES</h2>
    <p align="center"><em>Modifiers of element behaviors</em></p>

    <h2 align="right">HTML Images</h2>
    <p align="right">
      <em
        >An image can be shown using &lt;img&gt; tag along with its
        <strong>src</strong> attribute</em
      >
    </p>

    <!-- img src absolute link -->
    <a href="https://place-puppy.com/">
      <img src="https://place-puppy.com/300x300" alt="puppy" />
    </a>

    <!-- <code> tag - used to define a pieve of computer code and displays text int the browser using it's default monospace font -->
    <!-- <img> tag - used to include images -->
    <p>
      <code>
        &lt;img src="https://place-puppy.com/300x300" alt="puppy"/&gt;
      </code>
    </p>

    <a href="https://zuitt.co" target="_blank">
      <img src="./images/zuittlogo.png" alt="zuitt logo" />
    </a>

    <!-- 
		- The "type" attribute changes the numbered points of the ol element. The default type is the integer numbers.
		- Other values for the type attribute are the following:
			- 1
			- A
			- i
			- I

	 -->

    <p>Valid Extensions</p>
    <ol type="a" reverse>
      <li>png</li>
      <li>jpg</li>
      <li>gif</li>
      <li>svg</li>
      <li>webp</li>
    </ol>

    <p>
      Take a look at w3schools attribute refrences
      <a href="https://www.w3schools.com/tags/ref_attributes.asp">here</a>
    </p>

    <h2>HTML Links</h2>

    <h4>Aboslute Link</h4>

    <!-- creates a hyperlink element that redirects to a different page -->
    <a href="https://zuitt.co">I'm a hyper link</a>

    <h4>Relative Link</h4>
    <p>Go to <a href="./link.html">link.html</a></p>
    <p>Go to <a href="#top">Top</a></p>
  </body>
</html>
